Bug 1003715 - rpc.mountd -h: 1. In help info not include -r|--reverse-llokup; 2. And -H info format error.
rpc.mountd -h: 1. In help info not include -r|--reverse-llokup; 2. And -H inf...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.4
All Linux
medium Severity low
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: EasyFix, Patch
Depends On: 1003713 1003716
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 21:46 EDT by Yin.JianHong
Modified: 2017-12-06 05:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1003713
Environment:
Last Closed: 2017-12-06 05:42:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-02 21:46:03 EDT
+++ This bug was initially created as a clone of Bug #1003713 +++

Description of problem:
rpc.mountd -h:
1. In help info not include -r|--reverse-llokup; 
[root@dhcp-13-16 ~]# rpc.mountd -h 2>&1 
Usage: rpc.mountd [-F|--foreground] [-h|--help] [-v|--version] [-d kind|--debug kind]
	[-o num|--descriptors num] [-f exports-file|--exports-file=file]
	[-p|--port port] [-V version|--nfs-version version]
	[-N version|--no-nfs-version version] [-n|--no-tcp]
	[-H ha-callout-prog] [-s|--state-directory-path path]
	[-t num|--num-threads=num]
[root@dhcp-13-16 ~]# rpc.mountd -h 2>&1 | grep -- -r
[root@dhcp-13-16 ~]# man rpc.mountd | cat - | grep -- -r
       -r, --reverse-lookup

2. And -H info format error.
 should be [-H|--ha-callout prog]

Version-Release number of selected component (if applicable):
all nfs-utils version in  from RHEL5.9 RHEL5.10 RHEL6.x to RHEL7.0 ~

How reproducible:
y

Steps to Reproduce:
1. see the Description of problem:
2.
3.

Actual results:
rpc.mountd -h: 1. In help info not include -r|--reverse-llokup; 2. And -H info format error.

Expected results:
fix them

Additional info:
Comment 3 RHEL Product and Program Management 2013-10-13 22:25:34 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Yongcheng Yang 2016-10-31 05:52:06 EDT
commit 0c43a3e1ce8b2103e9c89aea0322367a22d6a491
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Jan 20 12:07:13 2016 -0500

    mountd: added missing argument to usage string

Also this one:

commit c25b8f845f16fa12216cfb0975344ef908154c46
Author: Steve Dickson <steved@redhat.com>
Date:   Fri May 20 11:25:51 2016 -0400

    mountd: cleaned up usage message.
Comment 7 Jan Kurik 2017-12-06 05:42:22 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.